how to freeze and suspend the solidedge by using API methods

By Freeze, we mean user should not able to interact with the SolidEdge. He should not be able 1) to switch documents 2)open document 3) create new document 4) add new entities 5) edit blocks 6) create attributes etc. Basically he has to simply wait for the process to complete. When it is frozen, we will be scanning the document, adding/changing attibutes, etc. we believe some user actions could effect what we are processing, so want to temporarily disable user actions. with that purpose we need to freeze the SolidEdge and after completing all the actions un freeze.

 

 Any one please give some suggestions to do this.

 

Regards

Prasad

 

Posted by: prasad k
Post date: 11/8/2011 2:01:52 AM

3 REPLIES

RE: how to freeze and suspend the solidedge by using API methods

Hi Prasad,

 

simply set the boolean property Interactive of the SolidEdgeFramework.Application object to false.

 

Posted by: Wolfgang Kunert
Post date: 11/8/2011 4:37:12 AM

RE: how to freeze and suspend the solidedge by using API methods

Hi Wolfgang Kunert ,

 

Thanks for your suggestion,it works fine.

 

Posted by: prasad k
Post date: 11/8/2011 6:04:39 PM

RE: how to freeze and suspend the solidedge by using API methods

Hi Wolfgang Kunert,do you have any idea in how to edit the part or subassmenbly  in the assembly through API.after editing i need to set some properties then save for the customization.

RegardsPrasad

 

Posted by: prasad k
Post date: 11/9/2011 6:43:35 PM